/**
 *	CDMResultBean.class is an instantiated data object that
 *	contains all of the values of a set of cdm calculation information
 *	
 *	@author	Joshua Sailsbery
 *	@version	1.0
 *	@since	1.0
 */
package CDM;

import java.util.Vector;
import java.util.Hashtable;

public class CDMResultBean
{
	//From CDM Calculations
	private String windowID;					//Id of a window of the sequences - uniquely identifies a specific window
	private double ts4;							//transition bias
	private double[] gScores;					//G - Scores
	private double[] goodnessOfFit;				//GF- Scores
	private double[][] tstvRatios;				//ts:tv ratios
	private int[][][] observed;					//Observed Substitutions
	private double[][][] expected;				//Expected Substitutions
	private double[][][] observedFrequency;		//Observed Frequency of Substitutions
	private double[][][] expectedFrequency;		//Expected Frequency of Substitutions
	
	
	/**
	 *  Set method - sets windowID to new String
	 *	@param String SubGCBean of new windowID
	 */
	public void setWindowID(String WindowID)
	{
		windowID = WindowID;
	}
	
	/**
	 *  Get method - returns String windowID 
	 */
	public String getWindowID()
	{
		return windowID;
	}
	
	/**
	 *  Get method - returns double[][][] expectedFrequency 
	 */
	public double[][][] getExpectedFrequency()
	{
		return expectedFrequency;
	}
	
	/**
	 *  Set method - sets expectedFrequency to new double[][][]
	 *	@param double[][][] ExpectedFrequency of new expectedFrequency
	 */
	public void setExpectedFrequency(double[][][] ExpectedFrequency)
	{
		expectedFrequency = ExpectedFrequency;
	}
	
	/**
	 *  Get method - returns double[][][] observedFrequency 
	 */
	public double[][][] getObservedFrequency()
	{
		return observedFrequency;
	}
	
	/**
	 *  Set method - sets observedFrequency to new double[][][]
	 *	@param double[][][] ObservedFrequency of new observedFrequency
	 */
	public void setObservedFrequency(double[][][] ObservedFrequency)
	{
		observedFrequency = ObservedFrequency;
	}
	
	/**
	 *  Get method - returns double ts4 
	 */
	public double getTS4()
	{
		return ts4;
	}
	
	/**
	 *  Set method - sets ts4 to new double
	 *	@param double TS4 of new ts4
	 */
	public void setTS4(double TS4)
	{
		ts4 = TS4;
	}

	/**
	 *  Get method - returns double[][][] expected 
	 */
	public double[][][] getExpected()
	{
		return expected;
	}
	
	/**
	 *  Set method - sets expected to new double[][][]
	 *	@param double[][][] Expected of new expected
	 */
	public void setExpected(double[][][] Expected)
	{
		expected = Expected;
	}
	
	/**
	 *  Get method - returns int[][][] observed 
	 */
	public int[][][] getObserved()
	{
		return observed;
	}
	
	/**
	 *  Set method - sets observed to new int[][][]
	 *	@param int[][][] Observed of new observed
	 */
	public void setObserved(int[][][] Observed)
	{
		observed = Observed;
	}
	
	/**
	 *  Get method - returns double[][] tstvRatios 
	 */
	public double[][] getTSTVRatios()
	{
		return tstvRatios;
	}
	
	/**
	 *  Set method - sets tstvRatios to new double[][]
	 *	@param double[][] TSTVRatios of new tstvRatios
	 */
	public void setTSTVRatios(double[][] TSTVRatios)
	{
		tstvRatios = TSTVRatios;
	}	
	
	/**
	 *  Get method - returns double[] gScores 
	 */
	public double[] getGScores()
	{
		return gScores;
	}
	
	/**
	 *  Set method - sets gScores to new double[]
	 *	@param double[] GScores of new gScores
	 */
	public void setGScores(double[] GScores)
	{
		gScores = GScores;
	}
	
	/**
	 *  Get method - returns double[] goodnessOfFit 
	 */
	public double[] getGoodnessOfFit()
	{
		return goodnessOfFit;
	}
	
	/**
	 *  Set method - sets goodnessOfFit to new double[]
	 *	@param double[] GoodnessOfFit of new goodnessOfFit
	 */
	public void setGoodnessOfFit(double[] GoodnessOfFit)
	{
		goodnessOfFit = GoodnessOfFit;
	}

}//CDMResultBean